console.log('main.js');
// Note : Pas besoin de filtrer le xss vu que tout est éclaté pour créer le labyrinthe

// Constantes
var iconHTML        = '<i class="fa-2x fas">.</i>';
var iconRun         = 'fa-running';
var iconPick        = 'fa-pray';
var iconMoney       = 'fa-money-bill-wave';
var iconStar        = 'fa-star';
var iconEnd         = 'fa-trophy';
var iconDeath       = 'fa-skull-crossbones';
var tailleBordures  = 1;
var vitesseParkour  = 750;
var maxCases        = 20 + tailleBordures * 2;
var allowedLabyChars= '.o*';

var laby1           = '....\no.*o\n....\n....';
var laby2           = '.**oo.oo**\n*.*oooo.o.\n***.......\n..o*.....o\n.oo.*o*.oo\n...o**.*.o\no.***..o.o\n..o.**.o*o\n*........o\n*..*.**...';
var laby3           = '*oo*o.o*.ooo**..*o..\n.*.*....ooo..*oo*oo*\n...*.*.o*o*.oo..***o\n.*oo**..**..*o..***.\n*..o.*.*..***o*o....\noooo.***o.oo....o..o\noo.o**o.o..*****....\no*..*..*o..ooo*o*..*\n*.o.*..o.*o*......*.\n..o..*..o*.o...o.o*.\n....ooo.*..o..o..o*.\n..o.o.**...o.*..**..\n*......*...*....o.oo\n..o.o...o*...o*.o.*o\n..oo*.o*o*o*o*o.*..o\n...o*oo**o..*o*o.o..\n.**.*..oo.oo*o.o.*o.\no.***.....*o.*.o*.o.\n...*o.*..*....*o..*o\n.oo.****...oo...o**o';
var labys           = [laby1, laby2, laby3];

var parkourLaby1    = 'vx>>>x<x';
var parkourLaby2    = '>>>x>x>>x>x>><<<<<<<<<v>>>x>x>x>x>>x><<<<<<<<<v>>>>>>>>><<<<<<<<<v>>x>>>>>>>x<<<<<<<<<v>x>x>>>x>>>x>x<<<<<<<<<v>>>x>>>>>>x<<<<<<<<<vx>>>>>>>x>>x<<<<<<<<<v>>x>>>>>x>>x<<<<<<<<<v>>>>>>>>>x<<<<<<<<<v>>>>>>>>><<<<<<<<<x>>>x>>x>x>>><<<<<<<<<^x>>>>>>>>><<<<<<<<<^>>>>x>x>>>x><<<<<<<<<^>>x>x>x>>>>><<<<<<<<<^>>>>x>x>>x>><<<<<<<<<^>>>>x>>x>>><<<<<<<<<^>>>x>>>>>><<<<<<<<<^x>x>x>>>>>>><<<<<<<<<^x>>x>>>>>>><<<<<<<<<^>x>x>>>>>>x>x<<<<<<<<<';
var parkourLaby3    = '>x>x>>x>>x>>>x>x>x>>>>>>x>><<<<<<<<<<<<<<<<<<<v>>>>>>>>x>x>x>>>>x>x>>x>x><<<<<<<<<<<<<<<<<<<v>>>>>>>x>>x>>>x>x>>>>>>x<<<<<<<<<<<<<<<<<<<v>>x>x>>>>>>>>>>x>>>>>><<<<<<<<<<<<<<<<<<<v>>>x>>>>>>>>>>x>>x>>>><<<<<<<<<<<<<<<<<<<vx>x>x>x>>>>>x>>x>x>>>>>x>>>x<<<<<<<<<<<<<<<<<<<vx>x>>x>>>x>>x>>>>>>>>>>><<<<<<<<<<<<<<<<<<<vx>>>>>>>>x>>>x>x>x>>x>>>><<<<<<<<<<<<<<<<<<<v>>x>>>>>x>>>x>>>>>>>>><<<<<<<<<<<<<<<<<<<v>>x>>>>>>x>>>x>>>>x>>x>><<<<<<<<<<<<<<<<<<<v>>>>x>x>x>>>>>x>>>x>>>x>><<<<<<<<<<<<<<<<<<<v>>x>>x>>>>>>>x>>>>>>>><<<<<<<<<<<<<<<<<<<v>>>>>>>>>>>>>>>>x>>x>x<<<<<<<<<<<<<<<<<<<v>>x>>x>>>>x>>>>>x>>>x>>>x<<<<<<<<<<<<<<<<<<<v>>x>x>>>x>>x>>x>>x>>x>>>>>x<<<<<<<<<<<<<<<<<<<v>>>x>>x>x>>>x>>>>x>>x>>x>><<<<<<<<<<<<<<<<<<<v>>>>>>>x>x>>x>x>>x>>x>>>x><<<<<<<<<<<<<<<<<<<vx>>>>>>>>>>>x>>>>x>>>x><<<<<<<<<<<<<<<<<<<v>>>>x>>>>>>>>>>>x>>>>x<<<<<<<<<<<<<<<<<<<v>x>x>>>>>>>>>x>x>>>>x>>>x<<<<<<<<<<<<<<<<<<<>>>>x>x>x>x>>>>>>>>>>x>x><<<<<<<<<<<<<<<<<<<^>>>x>>>x>>>x>>>>>x>>>>x><<<<<<<<<<<<<<<<<<<^>>x>x>x>>>>>>x>>>x>>>x>>><<<<<<<<<<<<<<<<<<<^>x>x>>x>>>>>>>>x>>>>>x>><<<<<<<<<<<<<<<<<<<^>>>>x>>>x>x>>>>x>>x>>>>><<<<<<<<<<<<<<<<<<<^>>>>x>>>x>>x>>x>>x>>>x>>><<<<<<<<<<<<<<<<<<<^>>>>>>>>>x>>>>>x>>>>x><<<<<<<<<<<<<<<<<<<^x>>>>>>>x>>>>x>>>>>>>><<<<<<<<<<<<<<<<<<<^>>>>>>x>x>>>>>>x>>>x>x>><<<<<<<<<<<<<<<<<<<^>>>>>>>>x>>>>>>>>>>x><<<<<<<<<<<<<<<<<<<^>>>>>x>>>>x>>>>>>>>>x><<<<<<<<<<<<<<<<<<<^x>>>>x>>>>>x>>x>>>>>>>x><<<<<<<<<<<<<<<<<<<^>x>>>x>>>x>>>>>>>x>>x>>>x<<<<<<<<<<<<<<<<<<<^>>>>x>x>>>>>>x>x>x>x>x>>>><<<<<<<<<<<<<<<<<<<^>>>>>x>x>x>>>>>>>>>>>><<<<<<<<<<<<<<<<<<<^x>>>>>x>>x>>>x>x>x>>x>>>>><<<<<<<<<<<<<<<<<<<^>x>>>x>x>>>x>x>>>x>>>>x>x>x><<<<<<<<<<<<<<<<<<<^>>>x>>x>>>x>>x>>>>>>x>x>x><<<<<<<<<<<<<<<<<<<^>x>>x>>>>>>>>>>x>>>x>>>x<<<<<<<<<<<<<<<<<<<^x>>>x>>>>x>>>>>x>x>>>x>>><<<<<<<<<<<<<<<<<<<';
var parkours        = [parkourLaby1, parkourLaby2, parkourLaby3];


// Variables html
var buttonGoHTML      = $('.go');
var buttonPauseHTML   = $('.pause');
var texteLabyHTML     = $('#idInputLaby');
var texteParcoursHTML = $('#idInputParcours');
var labyrintheHTML    = $('.labyrinthe');
var vitesseHTML       = $('#vitesse');
var etatHTML          = $('.result span');
var orHTML            = $('.goldCount .count');
var failStarHTML      = $('.goldCount .failStar');
var btnsLabyHTML      = $('.laby');
var errorLabyHTML     = $('.errorLaby');



// Variables
var debug                 = false;
var persoX                = 1;
var persoY                = 1;
var persoIcon             = iconRun;
var butinCurrent          = 0;
var butinMax;
var texteParcoursCurrent;
var labyCurrent;
var idInterval;



// Valeurs par défaut
texteLabyHTML.val(laby2);

// Remplacer la valeur par défaut en JS, afin de ne pas avoir de problème avec les caractères spéciaux < >
// Solution input1.txt
// texteParcoursHTML.val('vx>>>x<x');
// Solution input2.txt
texteParcoursHTML.val(parkourLaby2);



// Événements
buttonGoHTML      .click(onClickGo);
buttonPauseHTML   .click(onClickPause);
// Textarea au changement
texteLabyHTML     .bind('input propertychange', onClickGo);
texteParcoursHTML .bind('input propertychange', onClickGo);

// Chargement des templates
btnsLabyHTML      .click(onClickLabyBtn);



// Tests
// Lancement au démarrage
onClickGo();
































//
